# $Revision: 1.9 $, $Date: 2010/11/23 05:49:35 $
Summary:	Extra plugins for Anjuta
Name:		anjuta-extras
Version:	2.30.1.0
Release:	8
License:	GPL v2
Group:		Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/anjuta-extras/2.30/%{name}-%{version}.tar.bz2
# Source0-md5:	c76a0843896890e054b063551fa431eb
URL:		http://www.anjuta.org/
BuildRequires:	GConf2-devel >= 2.20.0
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	binutils-devel >= 3:2.15.92
BuildRequires:	gettext-devel
BuildRequires:	gnome-common
BuildRequires:	graphviz-devel
BuildRequires:	gtk+2-devel >= 2:2.18.0
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libanjuta-devel >= 1:2.30.1.0
BuildRequires:	libgnomecanvas-devel >= 2.12.0
BuildRequires:	libtool
BuildRequires:	libxml2-devel
BuildRequires:	pkgconfig
Requires(post,preun):	GConf2
Requires:	anjuta >= 1:2.30.1.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains a set of plugins for Anjuta.

The following plugins are included:
- Class Inheritance: A graph painter for the inheritance of the
  classes
- Profiler: Application performance profiler
- Sample Plugin: Sample Plugin for Anjuta
- Scintilla Editor: An alternate editor based on Scintilla
- Scratchbox: Change build commands to use scratchbox 1 or 2
- Valgrind Plugin: Powerful debugging tool

%prep
%setup -q

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-schemas-install

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/anjuta/*.{a,la}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install anjuta-editor-scintilla.schemas
%gconf_schema_install anjuta-valgrind.schemas

%preun
%gconf_schema_uninstall anjuta-editor-scintilla.schemas
%gconf_schema_uninstall anjuta-valgrind.schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/anjuta/libanjuta-class-inheritance.so
%attr(755,root,root) %{_libdir}/anjuta/libanjuta-editor.so
%attr(755,root,root) %{_libdir}/anjuta/libanjuta-profiler.so
%attr(755,root,root) %{_libdir}/anjuta/libanjuta-sample.so
%attr(755,root,root) %{_libdir}/anjuta/libanjuta-scratchbox.so
%attr(755,root,root) %{_libdir}/anjuta/libanjuta-valgrind.so
%{_libdir}/anjuta/anjuta-class-inheritance.plugin
%{_libdir}/anjuta/anjuta-editor.plugin
%{_libdir}/anjuta/profiler.plugin
%{_libdir}/anjuta/anjuta-sample.plugin
%{_libdir}/anjuta/anjuta-scratchbox.plugin
%{_libdir}/anjuta/anjuta-valgrind.plugin
%{_sysconfdir}/gconf/schemas/anjuta-editor-scintilla.schemas
%{_sysconfdir}/gconf/schemas/anjuta-valgrind.schemas
%{_datadir}/anjuta/glade/*.png
%{_datadir}/anjuta/glade/*.ui
%{_datadir}/anjuta/properties
%{_datadir}/anjuta/ui/*.ui
%{_datadir}/anjuta/ui/*.xml
%{_pixmapsdir}/anjuta/*.png
%{_pixmapsdir}/anjuta/*.svg

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: anjuta-extras.spec,v $
Revision 1.9  2010/11/23 05:49:35  arekm
- release 8

Revision 1.8  2010/11/20 20:14:08  arekm
- release 7

Revision 1.7  2010/10/23 15:30:31  megabajt
- release 6

Revision 1.6  2010/08/23 20:43:34  glen
- libtoolize to solve 2.2.6b (bundled) vs 2.2.10 (distro) conflict

Revision 1.5  2010/06/15 08:40:55  hawk
- release 4

Revision 1.4  2010/06/03 16:31:47  glen
- release 3

Revision 1.3  2010/05/29 18:36:03  megabajt
- release 2

Revision 1.2  2010/05/16 14:52:21  sparky
- BR: gettext-devel, libtool

Revision 1.1  2010/04/30 21:02:17  megabajt
- new
